import { LayoutBase, Property } from '@nativescript/core';
import { Canvas } from '../Canvas';
export declare const paintStyleProperty: any;
export declare const strokeWidthProperty: Property<Paint, number>;
export declare class Paint extends LayoutBase {
    strokeWidth: number;
    _canvas: Canvas;
    _addCanvas(canvas: Canvas): void;
    paintStyle: 'fill' | 'stroke';
    _paintStyleDirty: boolean;
    _inGroup: boolean;
    _getPaintStyle(): any;
    _getColor(): any;
    draw(): void;
}
